Subject: bug#35502: 27.0.50; encode-time apparently stopped working

From: Robert Pluim <[email-masked]>
Date: Tue, 30 Apr 2019 17:39:32 +0200

>>>>> On Tue, 30 Apr 2019 18:17:22 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Marcin Borkowski <[email-masked]> Date: Tue, 30 Apr 2019
    >> 11:23:23 +0200
    >> 
    >> M-: (encode-time (decode-time)) RET
    >> 
    >> yields
    >> 
    >> (error "Specified time is not representable")

    Eli> I cannot reproduce this with today's master, neither on
    Eli> GNU/Linux nor on MS-Windows.  Is this in "emacs -Q"?  If so,
    Eli> what happens if you build a fresh checkout or bootstrap?

    Eli> Also, what is your version of GCC?

I see this, but only on macOS, not GNU/Linux:

Debugger entered--Lisp error: (error "Specified time is not representable")
  encode-time((29 31 17 30 4 2019 2 t 7200))

If I change that 't' to 'nil', it works:

    (encode-time '(29 31 17 30 4 2019 2 nil 7200))
    (23752 27217)

$ gcc -v
Configured with: --prefix=/Library/Developer/CommandLineTools/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
Apple LLVM version 10.0.1 (clang-1001.0.46.4)
Target: x86_64-apple-darwin18.5.0
Thread model: posix
InstalledDir: /Library/Developer/CommandLineTools/usr/bin

Robert